autoprefixer가 만약 작동안되는거 같으면 확인해야할 부분 on redgoose note

autoprefixer가 만약 작동안되는거 같으면 확인해야할 부분

Nest: Development Category: Javascript 2021-01-20

어제부터 하루종일 snowpack + svelte + postcss 환경을 만들어보고 있는데 autoprefixer를 설치했는데 암만해도 적용이 되질 않아서 자꾸 삽질하게 되었다.
다음과 같이 package.jsonbrowserslist항목을 추가해주면 예전 브라우저 지원할 수 있도록 css를 빌드할 수 있다.

// package.json
{
  ...
  "browserslist": [
    "> 1%",
    "last 2 versions"
  ],
}

내가 이걸 왜이리 늦게 찾은걸까.. ㅠㅠ